	var accion = document.editarMaquinaForm.accion.value;	
$( document ).ready(function() {
	//Formatear las fechas 
    $("#primerMto").rup_date ();	
    if ($("#primerMto").val()!=""){
        var FecprimerMto = new Date($("#primerMto").val().substring(0,10).replace("-","/").replace("-","/"));
        $("#primerMto").rup_date("setDate", FecprimerMto);
    }
    $("#sigMto").rup_date ();	
    if ($("#sigMto").val()!=""){
        var FecsigMto = new Date($("#sigMto").val().substring(0,10).replace("-","/").replace("-","/"));
        $("#sigMto").rup_date("setDate", FecsigMto);
    }
    $("#sigMto").rup_date("disable");
    
    $("#feini").rup_date ();	
    if ($("#feini").val()!=""){
        var fechaIni =  new Date($("#feini").val().substring(0,10).replace("-","/").replace("-","/"));
        $("#feini").rup_date("setDate", fechaIni);
    }
    $("#feini").rup_date("disable");
    
	$("#GRID_maquinaFichas").rup_grid({
		width: 865,
		hasMaint:true,
		url: "../ficha",
		pagerName: "pagerMaquinaFichas",
		rowNum: "30",
		sortorder: "desc",
		sortname: "feejec",
		ondblClickRow : fncDetalleFicha,
		colNames: [
		    $.rup.i18n.app.mensajesFicha.numFicha,
		    $.rup.i18n.app.mensajesFicha.fEjec,
		    $.rup.i18n.app.mensajesFicha.tiempo,
		    $.rup.i18n.app.GRID_cabeceras.desc,
		    $.rup.i18n.app.mensajesFicha.observ
		],
		colModel: [
			{ name: "idficha",
				label: "idficha",
				index: "idficha",
				width: "15",
				editable: false,
				edittype: "text"
			},
			{ name: "feejec",
				label: "feejec",
				index: "feejec",
				width: "70",
				editable: true,
				edittype: "text",
				align: 'center'
			},
			{ name: "tiemporeal",
				label: "tiemporeal",
				index: "tiemporeal",
				width: "15",
				editable: false,
				edittype: "text"
			},
			{ name: "descripcion",
				label: "descripcion",
				index: "descripcion",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "observaciones",
				label: "observaciones",
				index: "observaciones",
				width: "150",
				editable: true,
				edittype: "text"
			}
        ]
		
	});
	$("#maquinaFichas").rup_maint({
		jQueryGrid: "GRID_maquinaFichas",
		primaryKey: "idficha",
		modelObject: "Ficha",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		searchForm: "searchForm",
		showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: [{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.imprimir,
						css: "rup-maint_new"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: imprimirFicha
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.editar,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleFicha
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.eliminar,
						css: "rup-maint_delete"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncEliminarFicha
					}
					]
			}
	});

	$("#GRID_maquinaFichas").unbind("dblclick");
	$("#GRID_maquinaFichas").dblclick(fncDetalleFicha);

});	  

/***************************************************************************/
/********************   TOOLTIPS *******************************************/
/***************************************************************************/

$("#imgBuscarGAmas").rup_tooltip({
	content: {
	text: $.rup.i18n.app.nuevo.seleccionarGama
	}
});



/***************************************************************************/
/********************   MOSTRAR GAMAS DE ALTA ******************************/
/***************************************************************************/


function btn_BuscarGamas(){

	$("#idTablaGamas").empty();
	//Obtener la lista de Gamas
	$.ajax({
		type: "POST",
		url: "../gamas/gamasAlta/obtenerGamasAlta",
		success: function(data){
			var miselect=$("#idTablaGamas");
			$("#idTablaGamas").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = data[i].cgama;
              	} else {
              		descripcion = data[i].egama;
              	}
              	miselect.append('<option value="' + data[i].idgama + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	//Mostrar la ventana de lupaGamas
	$("#lupaGamas").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.gamasVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaGamas",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto de la gama seleccionada
	        		$("#idgama").val($("#idTablaGamas option:selected").val());
	        		var texto = $("#idTablaGamas option:selected").html();
	        		texto = texto.replace(/&nbsp;/g, "");
	        		$("#textoGama").val(texto);

	        		$("#lupaGamas").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaGamas",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaGamas").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
}


function obtenerIdiomaCombo(){
	var idioma="c";		
	if ($.rup_utils.capitalizedLang() =="Es") {	
		idioma = "c";
	} else idioma="e";
	return idioma;
}



/**********************************************************************************/
/********************************** FICHAS ****************************************/
/**********************************************************************************/


function fncDetalleFicha() {
	// obtener idficha seleccionado.
	
	 var id= $("#GRID_maquinaFichas").rup_grid('getGridParam','selrow');
	if (id==null || id=="") {
		alert($.rup.i18n.app.mensajes.sinRegistros);
		return;
	}
	 var ret = $("#GRID_maquinaFichas").rup_grid('getRowData',id); 
	 var idFicha =ret.idficha;	 
	 //Se envia el formulario con el idficha
	 editarFichasForm.idEditarFicha.value = idFicha;
	 editarFichasForm.submit();
		
	$("#editarFichasForm").submit();
	
}
function imprimirFicha() {
	
	// obtener idficha seleccionado.
	 var id= $("#GRID_maquinaFichas").rup_grid('getGridParam','selrow');
	 var ret = $("#GRID_maquinaFichas").rup_grid('getRowData',id); 
	 var idFicha =ret.idficha;	 
		$("#idficha").val(idFicha);
	 //Se envia el formulario con el idmaquina y el idficha
	$("#filtroFichasForm").attr("target","_blank");
	$("#filtroFichasForm").submit();
}


function fncEliminarFicha(){
	$.rup_messages("msgConfirm", {
		title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.eliminar"),			
		message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaEliminar"),
		OKFunction: function(){				
			eliminarFicha();
		},
		CANCELFunction : function(){
		}
		});
}

function eliminarFicha () {
			
		// Eliminar el registro seleccionado.
		 var id= $("#GRID_maquinaFichas").rup_grid('getGridParam','selrow');
		 //alert(id);
		 var ret = $("#GRID_maquinaFichas").rup_grid('getRowData',id); 
		 var idFicha =ret.idficha;	 
			 
		$.ajax({
			  type: "DELETE",				  
			  url: "../ficha/"+idFicha,
			  error: function(data) {
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorEliminar + "</strong></p>");
				 },
			  success: function(data4){
					  	mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.eliminadook + "</strong></p>");
					  	$("#GRID_maquinaFichas").rup_grid("reloadGrid");
				 },
			  dataType: "json"
			});

}

/**********************************************************************************/
/****************************** FIN FICHAS *********************************/
/**********************************************************************************/

function volver() {
	if ($("#ventanaOrigen").val()=="PlanificacionGeneral"){
		window.location = "/aa20bMaqPartesWar/maquinas/planGeneralVolver";	
	}else if ($("#ventanaOrigen").val()=="MantMaquinas"){
			window.location = "/aa20bMaqPartesWar/maquinas/maintVolver";	
	}else{
		history.back();	
	}
	
}

/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){				
				modificarMaquina();
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function modificarMaquina () {
		
		// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
		
		var properties={
				url:"../maquinas/modificarMaquina",
				feedback:$("#feedbackEditarMaquina"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {
						$("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){	
						$("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");
				 },
				 validate: {
					 rules: {
						 "idmaquina":{required:true},
							"cmaquina":{required:true},
							"emaquina":{required:true},
							"feini" : {required:true,date:true},
							"primerMto":{date:true,required:true}
					 }
				 }
				};
				$("#editarMaquinaForm").rup_form(properties);
				
				$("#editarMaquinaForm").submit();
			
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	/********************************* BOTON VOLVER  ****************************************************************/
	$("#bt_Volver").bind("click", volver);
	
	/********************************* FIN VOLVER  ****************************************************************/
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	
   		$("#feedbackEditarMaquina").rup_feedback (properties);

   		$("#feedbackEditarMaquina").rup_feedback("set", texto);

   		$("#feedbackEditarMaquina").rup_feedback("show");
	}
	
	function mensajeError (texto) {
		 var properties = {
  				type: "error",
  				fadeSpeed: 600,
  				gotoTop: false,
  				block: false,
  				closeLink: false
  			};

  		$("#feedbackEditarMaquina").rup_feedback (properties);

  		$("#feedbackEditarMaquina").rup_feedback("set", texto);

  		$("#feedbackEditarMaquina").rup_feedback("show");
	}
	
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/


	// Esto es necesario para que salgan los mensajes de validacion de uda
	jQuery("#feedbackEditarMaquina").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:false          
		  }); 
	

